<template>
  <div @mouseover="hover = true" @mouseleave="hover = false">
    <div class="cast-card-row" style="padding-left: 8px;padding-right: 8px; box-sizing: border-box">

      <span class="date" v-if="categorie">{{ categorie }}</span>
      <span class="date" v-else>{{ dateActuelle }}</span>
      <div class="main-child" style="padding-left: 8px;padding-right: 8px; box-sizing: border-box">
        <button
            @click="playSound()"
            class="icon-button-primary-32 playsound-btn"
             style="font-size: 0">
          Ecouter le bulletin météo
          <img src="../../public/icons/Artboard 2 copy 21.svg" class="icon-24"/>
        </button>


        <p class="temp-row">{{ temperature }}°C</p>
        <div v-if="categorieTemperature=== 1">
          <img class="icon-128" src="../../public/icons/Artboard 2 copy 16.svg"/>

        </div>
        <div v-if="categorieTemperature=== 2">
          <img class="icon-128" src="../../public/icons/Artboard 2 copy 15.svg"/>

        </div>
        <div v-if="categorieTemperature=== 3">
          <img class="icon-128" src="../../public/icons/Artboard 2 copy 14.svg"/>

        </div>
        <div v-if="categorieTemperature=== 4">
          <img class="icon-128" src="../../public/icons/Artboard 2 copy 13.svg"/>
        </div>


        <div class="cast-stats">
      <span>
      <div v-if="weather=== 1">
        <img class="icon-64" src="../../public/icons/Artboard 2 copy 1.svg"/>

      </div>
      <div v-if="weather=== 2">
        <img class="icon-64" src="../../public/icons/Artboard 2 copy 2.svg"/>

      </div>
      <div v-if="weather=== 3">
        <img class="icon-64" src="../../public/icons/Artboard 2 copy 3.svg"/>

      </div>
      <div v-if="weather=== 4">
        <img class="icon-64" src="../../public/icons/Artboard 2 copy 4.svg"/>

      </div>
        <br/>
        Pluie : {{ rain }}<br/>
        Nuage : {{ cloud }}<br/>
      </span>
          <span>
        <div v-if="categorieVent=== 1">
          <img class="icon-64" src="../../public/icons/Artboard 2 copy 20.svg"/>

        </div>
        <div v-if="categorieVent=== 2">
          <img class="icon-64" src="../../public/icons/Artboard 2 copy 19.svg"/>

        </div>
        <div v-if="categorieVent=== 3">
          <img class="icon-64" src="../../public/icons/Artboard 2 copy 18.svg"/>

        </div>
        <div v-if="categorieVent=== 4">
          <img class="icon-64" src="../../public/icons/Artboard 2 copy 17.svg"/>

        </div>
        <br/>
        {{ (windSpeed*0.54).toFixed(2) }} <br/>noeuds
      </span>

        </div>
      </div>
    </div>

    <div class="cast-card">
      <button
          @click="playSound()"
          class="icon-button-primary-32 playsound-btn"
          style="font-size: 0">
          Ecouter le bulletin météo
        <img src="../../public/icons/Artboard 2 copy 21.svg" class="icon-24"/>
      </button>


      <span class="date" v-if="categorie">{{ categorie }}</span>
      <span class="date" v-else>{{ dateActuelle }}</span>
      <span class="time">{{ time }}</span>
      <div v-if="periodeJour === 1">

      </div>
      <div v-if="periodeJour === 2">

      </div>
      <div v-if="periodeJour === 3">

      </div>
      <div v-if="periodeJour === 4">

      </div>
      <div v-if="categorieTemperature === 1">
        <img class="icon-128 " src="../../public/icons/Artboard 2 copy 16.svg"/>

      </div>
      <div v-if="categorieTemperature === 2">
        <img class="icon-128" src="../../public/icons/Artboard 2 copy 15.svg"/>

      </div>
      <div v-if="categorieTemperature === 3">
        <img class="icon-128" src="../../public/icons/Artboard 2 copy 14.svg"/>

      </div>
      <div v-if="categorieTemperature === 4">
        <img class="icon-128" src="../../public/icons/Artboard 2 copy 13.svg"/>

      </div>

      <p>{{ temperature }}°C</p>

      <div class="cast-stats">
      <span>
        <div v-if="weather === 1">
        <img class="icon-64" src="../../public/icons/Artboard 2 copy 1.svg"/>

      </div>
      <div v-if="weather === 2">
        <img class="icon-64" src="../../public/icons/Artboard 2 copy 2.svg"/>

      </div>
      <div v-if="weather === 3">
        <img class="icon-64" src="../../public/icons/Artboard 2 copy 3.svg"/>

      </div>
      <div v-if="weather === 4">
        <img class="icon-64" src="../../public/icons/Artboard 2 copy 4.svg"/>

      </div>
        <br/>
          Pluie : {{ rain }}<br/>
          Nuage : {{ cloud }}<br/>
        </span>
        <span>
    <div v-if="categorieVent === 1">
          <img class="icon-64" src="../../public/icons/Artboard 2 copy 20.svg"/>

        </div>
        <div v-if="categorieVent === 2">
          <img class="icon-64" src="../../public/icons/Artboard 2 copy 19.svg"/>

        </div>
        <div v-if="categorieVent === 3">
          <img class="icon-64" src="../../public/icons/Artboard 2 copy 18.svg"/>

        </div>
        <div v-if="categorieVent === 4">
          <img class="icon-64" src="../../public/icons/Artboard 2 copy 17.svg"/>

        </div>
          <br/>
          {{ (windSpeed*0.54).toFixed(2) }} <br/>noeuds
        </span>

      </div>
    </div>
  </div>
</template>

<script>
export default {

  name: "DayCard",
  props: {
    categorie: null,
    temperature: Number,
    windSpeed: null,
    date: null,
    time: null,
    rain: null,
    cloud: null
  },
  data() {
    return {
      onPlay: false,
      hover: false,
      dateActuelle: "",
      wind_speed_type: true,
      weather: null,
      temperature: null,
      categorieVent: null,
      periodeJour: null,
    };
  },
  methods: {
    getPeriodeJour() {
      // Malin mais bizarre ( Les algos c'est rigolo )
      if (this.categorie) {
        var foundCategorie = ["Nuit", "Matin", "Apres-midi", "Soir"].indexOf(this.categorie);
        if (foundCategorie > -1) {
          this.periodeJour = foundCategorie + 1;
          return;
        }
      }
      var dateObj = new Date();
      this.periodeJour = Math.floor(dateObj.getHours() / 6) + 1;

    },
    getWeatherCategory() {
      if (this.rain < 10 && this.cloud < 20) {
        this.weather = 1;
      } else if (this.rain < 10 && this.cloud> 20) {
        this.weather = 2;
      } else if (this.rain > 10 && this.rain < 20) {
        this.weather = 3;
      } else {
        this.weather = 4;
      }
    },
    getTemperature() {
      if (this.temperature > 20) {
        this.categorieTemperature = 1;
      } else if (this.temperature > 10 && this.temperature < 20) {
        this.categorieTemperature = 2;
      } else if (this.temperature > 0 && this.temperature < 10) {
        this.categorieTemperature = 3;
      } else if (this.temperature < 0) {
        this.categorieTemperature = 4;
      }
    },
    getVent() {
      if (this.windSpeed > 50) {
        this.categorieVent = 1;
      } else if (this.windSpeed > 10 && this.windSpeed < 50) {
        this.categorieVent = 2;
      } else if (this.windSpeed > 1 && this.windSpeed < 10) {
        this.categorieVent = 3;
      } else {
        this.categorieVent = 4;
      }
    },
    playSound() {
      const periode = new Audio(`sounds/Periode_${this.periodeJour}.mp3`);
      const temperature = new Audio(`sounds/Temp_${this.categorieTemperature}.mp3`);
      const temps = new Audio(`sounds/Temps_${this.weather}.mp3`);
      const vent = new Audio(`sounds/Vent_${this.categorieVent}.mp3`);
      periode.play()
      temperature.play()
      temps.play()
      vent.play()
    }
  },
  mounted() {
    this.dateActuelle = "tttiime";
    this.getWeatherCategory();
    this.getTemperature();
    this.getVent();
    this.getPeriodeJour();
  }
};


</script>
<style>
.playsound-btn {
  background-color: var(--color-primary-3);
  box-shadow: 1px 2px 24px -12px black;
  margin-left: calc(50% - 16px);
  margin-bottom: 8px;
}

.playsound-btn:hover {
  background-color: var(--color-primary-0);

}

@media screen and (max-width: 700px) {
  .playsound-btn {
    margin: 4px;
  }
  .icon-64{
    width: 32px;
    height: 32px;
  }

  .main-child{
    font-size: 14px;
  }

}

</style>
